<?php
 
 
 

namespace PhpWA\Protocol\Proto\UserPassword;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class TransformerArg extends \Google\Protobuf\Internal\Message
{
    


    protected $key = null;
    


    protected $value = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getKey()
    {
        return isset($this->key) ? $this->key : '';
    }

    public function hasKey()
    {
        return isset($this->key);
    }

    public function clearKey()
    {
        unset($this->key);
    }

    




    public function setKey($var)
    {
        GPBUtil::checkString($var, True);
        $this->key = $var;

        return $this;
    }

    



    public function getValue()
    {
        return $this->value;
    }

    public function hasValue()
    {
        return isset($this->value);
    }

    public function clearValue()
    {
        unset($this->value);
    }

    




    public function setValue($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\UserPassword\TransformerArg\Value::class);
        $this->value = $var;

        return $this;
    }

}

